{% extends 'base.html' %}

{% block content %}

<main>
    <div>
        <h1>{{todo_list_detail.name}}</h1>
        <p>
            <a href="{% url 'todo_list_update' todo_list_detail.id %}">Edit</a>
        </p><a href="{% url 'todo_list_delete' todo_list_detail.id %}">Delete</a>

        <h2>Tasks</h2>
        <table>
            <thead>
                <tr>
                    <th>Task</th>
                    <th>Due date</th>
                </tr>
            <tbody>
                {%for item in todo_list_detail.items.all %}
                <tr>
                    <td><a href="{% url 'todo_item_update' item.id %}">{{item.task}}</a></td>
                    <td>{{item.due_date}}</td>
                </tr>
                {% endfor %}
            </tbody>
            </thead>
        </table>
    </div>
</main>

{% endblock content %}
